# RPM specfile for gnome-pilot module
# Generated Tue Apr 30 00:16:32 2002 GMT by Ximian build system
# $Id: bb_do,v 1.183 2002/04/19 17:44:22 thunder Exp $
# from $Id: ximian-build.conf,v 1.36 2002/03/27 19:01:24 dobey Exp $

%define nam	gnome-pilot
%define ver	0.1.65
%define ximrev	1

Name:     	gnome-pilot
Version: 	0.1.65
Release:	1.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 7.1 / i386
Copyright:	GPL/LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc/packages

URL:		http://www.gnome.org/gnome-pilot/
Source0:	gnome-pilot-0.1.65.tar.gz
Summary:	PalmOS link utilities
Group:		Applications/Communications
Provides:	gnpilot = %{PACKAGE_VERSION}
Provides:	ximian-gnome-pilot = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
GNOME Pilot is a collection of programs and daemons for using 
Palm OS-based systems with GNOME, the complete user-friendly desktop 
based entirely on free software.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
/opt/gnome/*/locale/*/LC_MESSAGES/*
/opt/gnome/share/idl/*
/opt/gnome/share/mime-info/*
/opt/gnome/share/gnome-pilot/*
/opt/gnome/share/pixmaps/*
/opt/gnome/share/applets/*
/opt/gnome/share/control-center/*
/opt/gnome/share/gnome/*
/opt/gnome/bin/*
/opt/gnome/lib/*/conduits/*
/opt/gnome/lib/*.so.*
/etc/opt/gnome/CORBA/servers/*
/opt/gnome/man/man1/*


%post
ldconfig

%postun
ldconfig

%package -n gnome-pilot-devel
Summary:	Pilot development header files.
Group:		Development/Libraries
Requires:	%{nam} = %{PACKAGE_VERSION}
Requires:	pilot-link-devel
Provides:	gnpilotd = %{PACKAGE_VERSION}
Provides:	ximian-gnome-pilot-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n gnome-pilot-devel
GNOME Pilot is a collection of programs and daemons for using 
Palm OS-based systems with GNOME, the complete user-friendly desktop 
based entirely on free software.

%files -n gnome-pilot-devel
%defattr(-, root, root)
/opt/gnome/include/*/*
/opt/gnome/lib/*.so
/opt/gnome/lib/*.a
/opt/gnome/lib/*.la
/opt/gnome/lib/*Conf.sh


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnome-pilot-0.1.65
    ;;
all)
%setup  -q -n gnome-pilot-0.1.65
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    automake; ./configure --sysconfdir=/etc/opt/gnome --prefix=/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var --enable-usb-visor=yes --disable-oaf
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install sysconfdir=${DESTDIR}/etc/opt/gnome prefix=${DESTDIR}/opt/gnome mandir=${DESTDIR}/opt/gnome/man infodir=${DESTDIR}/opt/gnome/info localstatedir=${DESTDIR}/var; mkdir -p ${DESTDIR}/opt/gnome/share/control-center/capplets/Advanced; cp ${DESTDIR}/opt/gnome/share/control-center/Peripherals/*.desktop ${DESTDIR}/opt/gnome/share/control-center/capplets/Advanced
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Thu Apr 25 2002 Ximian, Inc.

- Version: 0.1.65-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Mar 22 2002 Ximian, Inc.

- Version: 0.1.64-2.ximian.1
- Summary: New build.
- New automated build.

